"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
class AktaPlayer extends _react.PureComponent {
  constructor(props) {
    super(props);
    this.state = {
      id: "player-" + (+new Date()).toString(16) + Math.floor(Math.random() * 1e8).toString(16),
      player: null
    };
    this.onScriptLoad = this.onScriptLoad.bind(this);
    // @ts-ignore
    if (!window.anvp) {
      const script = document.createElement("script");
      script.src = "https://w3.mp.lura.live/player/3.11.2/v3/scripts/anvload.js";
      script.onload = this.onScriptLoad;
      document.body.appendChild(script);
    }
  }
  onScriptLoad() {
    const config = {
      url: this.props.url,
      accessKey: this.props.accessKey,
      token: this.props.token,
      video: this.props.video
    };
    // @ts-ignore
    this.state.player = window.AnvatoPlayer(this.state.id);
    // @ts-ignore
    this.state.player.init(config);
  }
  render() {
    return /*#__PURE__*/_react.default.createElement("div", {
      id: this.state.id
    });
  }
}
exports.default = AktaPlayer;
//# sourceMappingURL=AktaPlayer.web.js.map