import { requireNativeComponent, UIManager } from "react-native";
import type { AktaPlayerNativeProps } from "../interfaces";
import { ErrorCode } from "../enums";

const COMPONENT_NAME = "AktaPlayerNative";


const AktaPlayerNative = UIManager.getViewManagerConfig(COMPONENT_NAME) != null
    ? requireNativeComponent<AktaPlayerNativeProps>(COMPONENT_NAME)
    : () => {
        throw new Error(ErrorCode.LINKING_ERROR);
    };


export default AktaPlayerNative;